Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class Placeholder

    java.lang.Object
      org.apache.poi.xslf.usermodel.Placeholder

    public class Placeholder

extends java.lang.Object

Author:
  Yegor Kozlov

Field Summary
`static Placeholder` | `BODY`
`static Placeholder` | `CENTERED_TITLE`
`static Placeholder` | `CHART`
`static Placeholder` | `CLIP_ART`
`static Placeholder` | `CONTENT`
`static Placeholder` | `DATETIME`
`static Placeholder` | `DGM`
`static Placeholder` | `FOOTER`
`static Placeholder` | `HEADER`
`static Placeholder` | `MEDIA`
`static Placeholder` | `PICTURE`
`static Placeholder` | `SLIDE_IMAGE`
`static Placeholder` | `SLIDE_NUMBER`
`static Placeholder` | `SUBTITLE`
`static Placeholder` | `TABLE`
`static Placeholder` | `TITLE`

Constructor Summary
`Placeholder(int ordinal)`

Method Summary
`int` | `ordinal()`
`static Placeholder[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE

    public static final Placeholder TITLE

### BODY

    public static final Placeholder BODY

### CENTERED_TITLE

    public static final Placeholder CENTERED_TITLE

### SUBTITLE

    public static final Placeholder SUBTITLE

### DATETIME

    public static final Placeholder DATETIME

### SLIDE_NUMBER

    public static final Placeholder SLIDE_NUMBER

### FOOTER

    public static final Placeholder FOOTER

### HEADER

    public static final Placeholder HEADER

### CONTENT

    public static final Placeholder CONTENT

### CHART

    public static final Placeholder CHART

### TABLE

    public static final Placeholder TABLE

### CLIP_ART

    public static final Placeholder CLIP_ART

### DGM

    public static final Placeholder DGM

### MEDIA

    public static final Placeholder MEDIA

### SLIDE_IMAGE

    public static final Placeholder SLIDE_IMAGE

### PICTURE

    public static final Placeholder PICTURE

Constructor Detail

### Placeholder

    public Placeholder(int ordinal)

Method Detail

### ordinal

    public int ordinal()

### values

    public static Placeholder[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD